Skip to end of metadata
Go to start of metadata

Requirements (DRAFT):

In order to maintain the stability of the ci.kuali.org infrastructure, all plugins install on ci.kuali.org must be listed as LTS (long term support).

Request Process (DRAFT):

  • Verify LTS plugin status (https://updates.jenkins-ci.org/download/plugins/
  • Send request to Rice Devops - Include Rationale for plugin
  • Plugin (who approves plugins)
  • Create ticket on KULRICE/DEVOPS (question)
  • Install plugin on testci.kuali.org
  • Add test jobs to verify functionality 
  • Install plugin on ci.kuali
  • Document changes in Kuali Jenkins Updates
  • Resolve ticket

 

 

  • No labels